PUT
/event/202309/webhooks
Updates the shop’s webhook URL for a specific event topic.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
address
required
The HTTP or HTTPS webhook URL used to receive the event data. Max length: 255 characters
string
event_type
required
The topic of the webhook event. Possible values:
ORDER_STATUS_CHANGE: Triggers on each order status update, from new order placement through all subsequent status changes. See Order Status change.RECIPIENT_ADDRESS_UPDATE: Triggers when the recipient’s address is updated. See Receipient address update.PACKAGE_UPDATE: Triggers when a package is updated (e.g., combined, split, or address changed). See Package update.PRODUCT_STATUS_CHANGE: Triggers when product audit results are updated. See Product status change.SELLER_DEAUTHORIZATION: Triggers when a seller is deauthorized to inform developers and avoid misunderstandings about platform authorization issues. See Seller deauthorization.UPCOMING_AUTHORIZATION_EXPIRATION: Triggers 30 days before authorization expiration, with daily notifications at 0:00 until re-authorization is completed. See Upcoming authorization expiration.CANCELLATION_STATUS_CHANGE: Triggers when an order’s cancellation status changes. See Cancellation status change.RETURN_STATUS_CHANGE: Triggers when an order’s return status changes. See Return status change.NEW_CONVERSATION: Triggers when a customer service agent joins or leaves a conversation. See New conversation.NEW_MESSAGE: Triggers when a new message is sent in a customer service conversation. See New Message.PRODUCT_INFORMATION_CHANGE: Triggers when changes to a product’s title, description, main images, or attributes go live. See Product information change.PRODUCT_CREATION: Triggers when a new product is created. See Product creation.PRODUCT_CATEGORY_CHANGE: Triggers when the category of a product is changed. See Product category change.NEW_MESSAGE_LISTENER: Triggers when a creator sends a message to the seller. See New message listener.INVOICE_STATUS_CHANGE: Triggers when the status of an invoice upload changes after using the POST Upload Invoice endpoint. See Invoice Status Change.PRODUCT_AUDIT_STATUS_CHANGE: Triggers when the product audit status changes. See Product audit status change.REVERSE_STATUS_UPDATE: Triggers when buyer raises cancellation, refund only, or return & refund requests that need the seller to accept or reject. See Reverse Status Update.
string
Example
{ "address": "https://partner.tiktokshop.com", "event_type": "ORDER_STATUS_CHANGE"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
Example
{ "code": 0, "data": {}, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}